Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::node_interface_compare Struct Reference

Function object to compare two `node_interfaces` based on their id. More...

`#include <openvrml/node.h>`

List of all members.

## Public Member Functions

result_type | operator() (const first_argument_type &lhs, const second_argument_type &rhs) const
| Compare two `node_interfaces` based on their id.

## Detailed Description

Function object to compare two `node_interfaces` based on their id.

`node_interface_compare` provides a Strict Weak Ordering for `node_interfaces` and ensures that `exposedField` definitions appropriately encroach on the namespace of `eventIn` and `eventOut` definitions. That is, per 4.7 of the VRML97 spec: “An exposedField named ‘zzz’ can be referred to as ‘set_zzz’ and treated as an eventIn, and can be referred to as ‘zzz_changed’ and treated as an eventOut.”

`node_interface_compare` is the comparator used by `node_interface_set`.

Model of
  Adaptable Binary Predicate, Strict Weak Ordering, Default Constructible

See also:
  node_interface_set

## Member Function Documentation

openvrml::node_interface_compare::result_type openvrml::node_interface_compare::operator() | ( | const first_argument_type & | lhs,
|  | const second_argument_type & | rhs |
| ) |  |  | const`[inline]`

Compare two `node_interfaces` based on their id.

Parameters:

  `[in]` | lhs | `node_interface`.
  `[in]` | rhs | `node_interface`.

Returns:
  `true` if `lhs.id` is lexicographically less than `rhs.id`; `false` otherwise.